set time on;

set echo on;

set feedback 1;

spool /aplic/q02b/scripts/000alt_q022dt00_70013.lst;
SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS') || 'INI 000alt_q022dt00_70013' from dual;
 
WHENEVER SQLERROR EXIT SQL.SQLCODE;
 
ALTER TABLE Q022DT00 MODIFY Q022DT00_IDEN_LICEN VARCHAR (25);
ALTER TABLE Q022DT00 ADD Q022DT00_FUERA_PLAZO VARCHAR(1);
ALTER TABLE Q022DT00 ADD Q022DT00_CODIGO_LICEN VARCHAR(20);
ALTER TABLE Q022DT00 ADD Q022DT00_USU_ALTA VARCHAR(10) DEFAULT -1 not null;
ALTER TABLE Q022DT00 ADD Q022DT00_USU_MODIF VARCHAR(10) DEFAULT -1;

COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_FUERA_PLAZO" is 'Grabado fuera de plazo el cuestionario';
COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_CODIGO_LICEN" is 'Numero de viviendas finales de nueva planta';
COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_USU_ALTA" is 'Usuario que graba el alta del cuestionario';
COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_USU_MODIF" is 'Usuario que graba la modificación del cuestionario';


commit;
SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS')  ||  'FIN 000alt_q022dt00_70013' from dual;

spool off;
set echo off;

exit;
